body {
}

.outline {
  //outline: 1px solid black;
}

.hide {
  display: none;
}

.show {
  display: block;
}

.cursor-pointer{
  cursor: pointer;
}

.no-padding {
  padding: 0 !important;
}

.no-margin {
  margin: 0 !important;
}


/* Change the white to any color ;) */
input:-webkit-autofill,
textarea:-webkit-autofill,
select:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 30px white inset !important;

  &:hover,
  &:active,
  &:focus {
    -webkit-box-shadow: 0 0 0 30px white inset !important;
    outline: 0 !important;
  }
}

input:focus {
  outline: 0 !important;
}

// form validations :
input.ng-touched.ng-invalid,
select.ng-touched.ng-invalid,
input.ng-invalid-password,
textarea.ng-touched.ng-invalid{
  border-color: #FF0000 !important;

  &::placeholder {
    color: #FF0000 !important;
  }

  color: #FF0000 !important;
}

.error {
  font-size: 12px;
  color: #FF0000 !important;

  &-input {
    border-color: #FF0000 !important;

    &::placeholder {
      color: #FF0000 !important;
    }
  }
}

.form-control{
  border-radius: 0px !important;
}

.red{
  color: red;
}

.page-link.active{
  background-color: #e9ecef;
  border-color: #dee2e6;
}
